import type { NetworkAdapter } from '@luvio/engine';
/**
 * A NetworkAdapter HOF that sets location.href to
 * "/login?redirect_uri=<location.origin>/oauth" on 401 responses.
 */
export declare function makeNetworkAdapterRedirectToLoginOn401(baseNetworkAdapter: NetworkAdapter): NetworkAdapter;
